Network
Create a container
Creates an active container at the given location for the given carrier. The operator must be assigned to the location, and the location must hand off to the carrier.
Authorization
authorization AuthorizationBearer <token>
In: header
Request Body
application/json
Create container params
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.parsel.app/api/containers" \ -H "Content-Type: application/json" \ -d '{ "carrier": "UniUni", "location_id": "550e8400-e29b-41d4-a716-446655440000" }'{
"data": {
"carrier": "UniUni",
"created_at": {},
"id": "550e8400-e29b-41d4-a716-446655440001",
"load_id": null,
"network_location_id": "550e8400-e29b-41d4-a716-446655440000",
"status": "ACTIVE"
}
}{
"errors": {
"message": "The request is unauthorized",
"status": "Unauthorized"
}
}{
"errors": {
"message": "This action requires the WRITE_SHIPMENTS scope",
"required_scope": "WRITE_SHIPMENTS",
"status": "Forbidden"
}
}{
"errors": {
"message": "The request could not be processed",
"reasons": [
{
"carrier": "UniUni",
"message": "Zip code not serviced.",
"code": "zip_not_serviced"
}
],
"status": "Unprocessable Entity"
}
}Add containers to a load POST
Adds containers to the load. The containers must be at the load's location, active, not empty and not in a load already.
Create a load POST
Groups containers that leave on the same BOL into a load. The containers must all be at the same location, active, not empty and not already in a load.